LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XLocalizable Interface Referencepublished

makes it possible to set a Locale to be used by the object. More...

`import"XLocalizable.idl";`

Inheritance diagram for XLocalizable:

## Public Member Functions
void | setLocale ([in] Locale eLocale)
| sets the locale to be used by this object. More...
Locale | getLocale ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to set a Locale to be used by the object.

## Member Function Documentation

## ◆ getLocale()

Locale getLocale | ( |  | ) |

Returns
  the locale, which is used by this object.

## ◆ setLocale()

void setLocale | ( | [in] Locale | eLocale | ) |

sets the locale to be used by this object.

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XLocalizable.idl